## What

graff_air is a business homepage template. 

## why

see STORY

## Intro

**The template engine is mustache**

- sections: html partials.  header, nav, footer.
- src: template engine source file.
- themes: theme folder. one theme each sub-folder.
- site.json: site config file.
> fields in this file are used for injected to template engine variables.

> added ['file']=filename

> added lambdas ['lambdas']['name']=function

- web: default build output folder
- build.py: builder
- config.py: some base config variables.

## suported lambdas

- equal_output

### usage

```json
hash
{
    "username": "admin"
}
```
```golang
{{# lambdas.equal_output }}
    {{username}}==admin ? red : black
{{/ lambdas.equal_output }}
```

Output:

```shell
red
```



## Compile

```shell
pip install -r requirements.txt
python build.py
```

## Forther more

Try to hack by changing the `.mustache` files, or site.toml file, even edit the `theme` to examine what will happen.